Page MenuHomePhabricator

Undeploy the Listings extension on German Wikivoyage
Closed, ResolvedPublic

Description

Listings extension is not used any longer at the German Wikivoyage (maybe also on other Wikivoyage branches). It was seldom used on this branch. The tags like <see>, <do> are replaced by templates. The usage of templates with Lua support is more comfortable even in case of added of modified parameter fields.

The extension was needed for compatibility reasons after the fork of some Wikivoyage branches from Wikitravel about six years ago. Other techniques like Lua programming were not available at this time.

Maybe a tracking category could be helpful in case of non-German Wikivoyage branches.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 3 2018, 6:32 AM

Change 479911 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[operations/mediawiki-config@master] Undeploy Listings from dewikivoyage

https://gerrit.wikimedia.org/r/479911

MaxSem added a subscriber: MaxSem.Dec 15 2018, 8:33 PM

I can see it's not really used elsewhere (I searched for insource:/\<(buy|do|drink|eat|listing|see|sleep)/), we need to let other communities know and get rid of it.

Change 479911 merged by jenkins-bot:
[operations/mediawiki-config@master] Undeploy Listings from dewikivoyage

https://gerrit.wikimedia.org/r/479911

MaxSem closed this task as Resolved.Dec 20 2018, 12:11 AM
MaxSem claimed this task.

Done. I'll create a ticket for its deprecation in general.

@MaxSem: Should Listings be already removed from https://www.mediawiki.org/wiki/Developers/Maintainers and {{TNT|OnWikimedia}} removed from https://www.mediawiki.org/wiki/Extension:Listings or is that part of "a ticket for its deprecation in general"?

@MaxSem: Should Listings be already removed from https://www.mediawiki.org/wiki/Developers/Maintainers and {{TNT|OnWikimedia}} removed from https://www.mediawiki.org/wiki/Extension:Listings or is that part of "a ticket for its deprecation in general"?

It's deployed on every Wikivoyage except (now) one.

Ah, I misinterpreted the task summary. Thanks for clarifying!

Aklapper renamed this task from Undeploy the Listings extension (used on German Wikivoyage) to Undeploy the Listings extension on German Wikivoyage.Jan 2 2019, 12:20 PM